import { Component, Fragment } from 'react';
import Head from 'next/head';

// Components
import { MDCToolbar, MDCToolbarSection, MDCToolbarTitle } from '@specialcircumstances/pkg-mdc';

const withLayout = Page => {
  return class DefaultPage extends Component {
    static async getInitialProps(ctx) {
      return Page.getInitialProps ? await Page.getInitialProps(ctx) : {};
    }

    render() {
      return (
        <Fragment>
          <Head>
            <title>Poke It With a Stick</title>
            <meta
              name="viewport"
              content="initial-scale=1.0, width=device-width"
            />
            <link
              href="https://fonts.googleapis.com/css?family=Roboto:300,400"
              rel="stylesheet"
            />
            <link
              href="https://fonts.googleapis.com/icon?family=Material+Icons"
              rel="stylesheet"
            />
          </Head>
          <div className="wrapper">
            <MDCToolbar fixed className="mdc-elevation--z0">
              <MDCToolbarSection alignStart>
                <MDCToolbarTitle>Poke It With a Stick</MDCToolbarTitle>
              </MDCToolbarSection>
            </MDCToolbar>
            <Page {...this.props} />
          </div>
          <style global jsx>{`
            html,
            body,
            #__next {
              width: 100%;
              // min-height: 100%;
              display: flex;
              flex-direction: row;
            }
            body {
              font-family: 'Roboto';
              padding: 0;
              margin: 0;
              box-sizing: border-box;
              width: 100%;
              font-family: Roboto, sans-serif;
              --mdc-theme-primary: rgba(0, 0, 0, 0.87);
              --mdc-theme-secondary: #64dd17;
              --mdc-background: rgba(0, 0, 0, 0.05);
            }
          `}</style>
          <style jsx>{`
            .wrapper {
              width: 100%;
            }
          `}</style>
        </Fragment>
      );
    }
  };
};

export default withLayout;
