import { Component } from 'react';
import withRedux from 'next-redux-wrapper';
import withLayout from '../../hoc/layout';

// Store
import initStore from '../../src/store';

// Actions
import { createStory } from '../../src/reducers';

// Components
import { MDCButton, MDCHeadline, MDCTextField } from '@specialcircumstances/pkg-mdc';
import Main from '../../src/components/main';

// Utils
import { serializeForm } from '../../src/utils/form';

// API_ENDPOINT
const apiEndpoint = 'http://localhost:9000';

// Map Dispatch to Page Properties
const mapDispatchToProps = dispatch => ({
  handleCreateStory: payload => dispatch(createStory(apiEndpoint, payload))
});

class NewStoryPage extends Component {
  create = e => {
    e.preventDefault();
    const payload = serializeForm(e.target);

    this.props.handleCreateStory(payload);
  };

  render() {
    return (
      <Main>
        <MDCHeadline>Create Story</MDCHeadline>

        <form
          id="new-article-form"
          className="pws-article"
          onSubmit={this.create}
        >
          <div>
            <MDCTextField label="Title" name="title" />
          </div>
          <div>
            <MDCTextField label="Slug" name="slug" />
          </div>
          <div>
            <MDCButton unelevated ripple>
              Create
            </MDCButton>
          </div>
        </form>
      </Main>
    );
  }
}

export default withRedux(initStore, null, mapDispatchToProps)(
  withLayout(NewStoryPage)
);
