import { breakpoints, layout } from '../config/styles';
const { tablet } = breakpoints;
const { block } = layout;

const Main = ({ children }) => {
  return (
    <main className="main mdc-toolbar-fixed-adjust">
      {children}
      <style jsx>
        {`
          .main {
            padding: 0;
          }
          @media only screen and (min-width: ${tablet}px) {
            .main {
              padding: 0 ${block}px ${block}px ${block}px;
            }
          }
          @media only screen and (min-width: ${tablet}px) {
            .main {
              padding: 0 ${block * 2}px ${block}px ${block * 2}px;
            }
          }
        `}
      </style>
    </main>
  );
};

export default Main;
