import { Fragment } from 'react';
import IconButton from './button-icon';
import { uploadFile } from '../../utils/file';

const UploadButton = props => {
  const { handleInsertImage, ...attr } = props;

  let fileinput;
  const handleImages = () => {
    fileinput.click();
  };

  const uploadImages = async e => {
    const file = e.target.files[0];
    const { hash } = await uploadFile(file);

    handleInsertImage({
      id: hash,
      name: file.name,
      type: file.type,
      size: file.size
    });
  };

  return (
    <Fragment>
      <input
        ref={el => (fileinput = el)}
        type="file"
        onChange={uploadImages}
        className="evt-file-input--hidden"
      />
      <IconButton {...attr} title="Insert Image" onClick={handleImages}>
        image
      </IconButton>
      <style jsx>{`
        .evt-file-input--hidden {
          display: none;
        }
      `}</style>
    </Fragment>
  );
};

export default UploadButton;
