// import { MDCButton } from '@specialcircumstances/pkg-mdc';
import IconButton from './button-icon';
import ImageUploadButton from './button-upload';

const WIDTH = 42; // width of insert button

const MediaMenu = ({
  menu,
  handleSetMenu,
  handleInsertGallery,
  handleInsertImage
}) => {
  const { top = 0, left = 0, visible, open } = menu;

  if (!visible) {
    return null;
  }

  return (
    <div className="evt-menu">
      <IconButton
        title="Insert Media"
        onClick={() => handleSetMenu('open', !open)}
      >
        add
      </IconButton>
      {open && (
        <div className="evt-menu__elements">
          <ImageUploadButton handleInsertImage={handleInsertImage} />
          <IconButton title="Insert Gallery" onClick={handleInsertGallery}>
            photo_library
          </IconButton>
          <IconButton title="Insert Social Embed">code</IconButton>
        </div>
      )}
      <style jsx>{`
        .evt-file-input--hidden {
          display: none;
        }
        .evt-menu {
          position: absolute;
          padding: 0;
          box-sizing: border-box;
          background-color: transparent;
          left: ${left - WIDTH}px;
          top: ${top - 5}px;
        }
        .evt-menu__elements {
          min-width: 600px;
          width: 100%;
          position: absolute;
          top: 0;
          left: ${WIDTH}px;
          background-color: white;
        }
      `}</style>
    </div>
  );
};

export default MediaMenu;
