import classnames from 'classnames';

const DeleteButton = props => {
  const { editor, node, isThumbnail, ...attrs } = props;

  const removeNode = () => {
    editor.change(change => change.removeNodeByKey(node.key));
  };

  const baseClassName = 'evt-image__delete';
  const className = classnames({
    [baseClassName]: true,
    [`${baseClassName}--thumbnail`]: isThumbnail
  });

  return (
    <button className={className} {...attrs} onClick={removeNode}>
      <i className="mdc-icon-toggle material-icons round">clear</i>
      <style jsx>{`
        .evt-image__delete {
          position: absolute;
          top: 6px;
          left: -42px;
          outline: none;
          cursor: pointer;
          border: none;
          background: transparent;
        }
        .evt-image__delete--thumbnail {
          position: absolute;
          top: 6px;
          left: auto;
          right: 0;
        }
        .round {
          border-radius: 50%;
          background-color: white;
        }
      `}</style>
    </button>
  );
};

export default DeleteButton;
