import { Block } from 'slate';

import DeleteButton from './delete';
import { layout } from '../../config/styles';

// import { insertImage } from '../editor/insert';
import { demoimage } from '../../config';

const { max, block } = layout;

const GalleryNode = ({ attributes, children, editor, node }) => {
  const addImage = () => {
    const image = Block.create({
      type: 'image',
      data: { src: demoimage, thumbnail: true }
    });
    editor.change(change => {
      change.insertNodeByKey(node.key, 0, image);
    });
  };

  return (
    <div className="evt-gallery__wrapper" {...attributes}>
      {/* <MDCTitle>Gallery Thing</MDCTitle> */}
      <DeleteButton title="Remove Image" editor={editor} node={node} />
      <div className="evt-gallery__controls">
        <button onClick={addImage}>Add Image</button>
      </div>
      {children}
      <style jsx>{`
        .evt-gallery__wrapper {
          position: relative;
          padding-top: ${block * 4}px;
          width: 100%;
          margin: ${block * 2}px 0;
          max-width: ${max}px;
          background: hsl(0, 0%, 97%);
        }
        .evt-gallery__controls {
          position: absolute;
          left: 8px;
          top: 8px;
        }
      `}</style>
    </div>
  );
};

export default GalleryNode;
