const Placeholder = ({ children }) => (
  <span contentEditable={false}>
    {children}
    <style jsx>{`
      position: absolute;
      left: 0;
      z-index: -1;
      color: hsla(0, 0%, 0%, 0.3);
    `}</style>
  </span>
);

const renderPlaceholder = ({ node, isSelected }) => {
  const { object, type, text } = node;

  if (object !== 'block' || text !== '') {
    return;
  }

  if (type === 'caption') {
    return <Placeholder>Caption (optional)</Placeholder>;
  }

  if (type === 'title') {
    return <Placeholder>Title (required)</Placeholder>;
  }

  if (type === 'paragraph' && isSelected) {
    return <Placeholder>Type to add text</Placeholder>;
  }
};

export default renderPlaceholder;
