import { createSelector } from 'reselect';
// import { Value } from 'slate';

// State
export const stateSelector = state => state;

// Story ID
export const storyIDSelector = createSelector(stateSelector, state =>
  state.getIn(['actual', 'story', 'result'])
);

// Story IDs
export const storyIDsSelector = createSelector(stateSelector, state =>
  state.getIn(['actual', 'stories', 'result'])
);

// Story Entities
export const storyEntitiesSelector = createSelector(stateSelector, state =>
  state.getIn(['entities', 'stories'])
);

// Current Stories as Array
export const storiesSelector = createSelector(
  storyIDsSelector,
  storyEntitiesSelector,
  (ids, stories) => ids.map(id => stories[id])
);

// Current Story
export const storySelector = createSelector(
  storyIDSelector,
  storyEntitiesSelector,
  (id, stories) => stories[id]
);

export const storyTitleSelector = createSelector(storySelector, story => {
  return story.content.document.nodes.find(n => n.type === 'title').text;
});

// Current Story
export const storyImagesSelector = createSelector(storySelector, story => {
  return story.content.document.nodes
    .filter(n => n.type === 'image')
    .map(i => i.get('data'))
    .toJS();
});
