const next = require('next');
const micro = require('micro');
const getConfig = require('@specialcircumstances/pkg-config');

const routes = require('./routes');
const dev = getConfig('DEV');

/* istanbul ignore next */
if (dev) {
  require('dotenv').config();
}

const port = getConfig('PORT', 3000);
const app = next({ dev });
const handler = routes.getRequestHandler(app);
const server = micro(async (req, res) => handler(req, res));

app.prepare().then(() => {
  server.listen(port, err => {
    if (err) {
      throw err;
    }
    console.log(`> Ready on http://localhost:${port}`);
  });
});
