import axios from 'axios';

const API_ASSET = 'http://localhost:3001/assets';

/**
 * @param {File} file - the File object
 */
export const readFile = file => {
  return new Promise((resolve, reject) => {
    const reader = new window.FileReader();

    reader.onloadend = () => {
      return resolve(reader.result);
    };
    reader.onloadend = () => {
      return resolve(reader.result);
    };
    reader.onerror = err => {
      reject(err);
    };

    reader.readAsDataURL(file);
  });
};

/**
 * @param {Event} event - the onChange event
 */
export const uploadFile = async file => {
  const name = file.name;
  const asset = await readFile(file);

  const { data } = await axios({
    url: API_ASSET,
    method: 'POST',
    data: { asset, name }
  });

  console.log(data);
  return data;
};
