/**
 * @param { Form } form - an HTML Form
 * @returns { Object } the serialized form data
 */
export const serializeForm = form => {
  const formdata = new window.FormData(form);
  const data = Array.from(formdata.keys()).reduce((memo, key) => {
    memo[key] = formdata.get(key);
    return memo;
  }, {});

  return data;
};
