import test from 'ava';
import { Map } from 'immutable';
import { storiesSelector, storySelector } from '../../../src/reducers';

const data = {
  entities: {
    stories: {
      '1': {
        id: '1',
        title: 'French Girls Rock',
        slug: 'french-girls-rock'
      }
    }
  },
  actual: {
    stories: {
      result: ['1']
    },
    story: {
      result: '1'
    }
  }
};
const state = Map(data);

test.skip('storiesSelector returns as array of current stories', t => {
  const results = storySelector(state);

  t.deepEqual(results, data.entities.stories['1']);
});

test.skip('storiesSelector returns the current story', t => {
  const results = storiesSelector(state);

  t.deepEqual(results, [data.entities.stories['1']]);
});
